Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.transport.http.util
Class ComplexPart

    java.lang.Object
      org.apache.commons.httpclient.methods.multipart.Part
          org.apache.commons.httpclient.methods.multipart.PartBase
              org.apache.axis2.transport.http.util.ComplexPart

    public class ComplexPart

extends org.apache.commons.httpclient.methods.multipart.PartBase

Field Summary
`static java.lang.String` | `DEFAULT_CHARSET` Default charset of string parameters
`static java.lang.String` | `DEFAULT_CONTENT_TYPE` Default content encoding of string parameters.
`static java.lang.String` | `DEFAULT_TRANSFER_ENCODING` Default transfer encoding of string parameters

Fields inherited from class org.apache.commons.httpclient.methods.multipart.Part
`BOUNDARY, BOUNDARY_BYTES, CHARSET, CHARSET_BYTES, CONTENT_DISPOSITION, CONTENT_DISPOSITION_BYTES, CONTENT_TRANSFER_ENCODING, CONTENT_TRANSFER_ENCODING_BYTES, CONTENT_TYPE, CONTENT_TYPE_BYTES, CRLF, CRLF_BYTES, EXTRA, EXTRA_BYTES, QUOTE, QUOTE_BYTES`

Constructor Summary
`ComplexPart(java.lang.String name, java.lang.String value)` Constructor.
`ComplexPart(java.lang.String name, java.lang.String value, java.lang.String charset)` Constructor.

Method Summary
`protected long` | `lengthOfData()` Return the length of the data.
`protected void` | `sendData(java.io.OutputStream out)` Writes the data to the given OutputStream.
`void` | `setCharSet(java.lang.String charSet)`

Methods inherited from class org.apache.commons.httpclient.methods.multipart.PartBase
`getCharSet, getContentType, getName, getTransferEncoding, setContentType, setName, setTransferEncoding`

Methods inherited from class org.apache.commons.httpclient.methods.multipart.Part
`getBoundary, getLengthOfParts, getLengthOfParts, getPartBoundary, isRepeatable, length, send, sendContentTypeHeader, sendDispositionHeader, sendEnd, sendEndOfHeader, sendParts, sendParts, sendStart, sendTransferEncodingHeader, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_CONTENT_TYPE

    public static final java.lang.String DEFAULT_CONTENT_TYPE

  Default content encoding of string parameters.

  See Also:
    Constant Field Values

### DEFAULT_CHARSET

    public static final java.lang.String DEFAULT_CHARSET

  Default charset of string parameters

  See Also:
    Constant Field Values

### DEFAULT_TRANSFER_ENCODING

    public static final java.lang.String DEFAULT_TRANSFER_ENCODING

  Default transfer encoding of string parameters

  See Also:
    Constant Field Values

Constructor Detail

### ComplexPart

    public ComplexPart(java.lang.String name,
                       java.lang.String value,
                       java.lang.String charset)

  Constructor.

  Parameters:
    `name` - The name of the part
    `value` - the string to post
    `charset` - the charset to be used to encode the string, if `null` the `default` is used

### ComplexPart

    public ComplexPart(java.lang.String name,
                       java.lang.String value)

  Constructor.

  Parameters:
    `name` - The name of the part
    `value` - the string to post

Method Detail

### sendData

    protected void sendData(java.io.OutputStream out)
                     throws java.io.IOException

  Writes the data to the given OutputStream.

  Specified by:
    `sendData` in class `org.apache.commons.httpclient.methods.multipart.Part`
  Parameters:
    `out` - the OutputStream to write to
  Throws:
    `java.io.IOException` - if there is a write error

### lengthOfData

    protected long lengthOfData()
                         throws java.io.IOException

  Return the length of the data.

  Specified by:
    `lengthOfData` in class `org.apache.commons.httpclient.methods.multipart.Part`
  Returns:
    The length of the data.
  Throws:
    `java.io.IOException` - If an IO problem occurs
  See Also:
    `Part.lengthOfData()`

### setCharSet

    public void setCharSet(java.lang.String charSet)

  Overrides:
    `setCharSet` in class `org.apache.commons.httpclient.methods.multipart.PartBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.